Table of Contents
- Introduction
- Information Tags
- String Tags
- Variable Tags
- URL Tags
- If Tags
- Graphics Tags
- Database Tags
- Programming Tags

  | · Introduction · catch · cgi · throw · crypt · debug · default · for · gauge · nooutput · noparse · pike · random · realfile · scope · sed · strlen · trace · vfs · wizard

- Supports System
- SSI
- htaccess
- Image Maps
- Appendix

<scope> ... </scope> |

`<scope>` is defined in the Main RXML parser module. Creates a new scope for RXML variables. Variables can be changed within the `<scope>` tag without having any effect outside it.

Attributes |
extend,

Attributes

`extend`
  Copy all variables from the outer scope.

Example

source code

    <set variable=foo value="World">

    <scope>
    <h1>Hello <insert variable=foo></h1>
    <set variable=foo value="Duck">
    </scope>

    <scope extend>
    <h1>Hello <insert variable=foo></h1>
    </scope>

result

# Hello

# Hello World

</dump_if not cookie=rxml-help>